#ifndef SPHERE_H
#define SPHERE_H

#include "../../common/structs.h"

double intersect_sphere(point* startP, vector* projV, object* sph, point* pntIntersect);
vector* normal_sphere(point* q, object* objectHit, vector* n);
vector* inverse_map_sphere(point* q, object* objectHit, vector* uv);
model *sphere_polygon(object *obj, int n);
object *sphere_create();

#endif /* SPHERE_H */
